# Delete a geo of offer

| HTTP method | Endpoint                                 |
| ----------- | ---------------------------------------- |
| **DELETE**  | **/v1/offers/{offer\_id}/geo/{geo\_id}** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |
| geo\_id   | The unique id for the geo.   |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field         | Type    | Description                                               |
| ------------- | ------- | --------------------------------------------------------- |
| id            | integer |                                                           |
| offer\_id     | integer | A string that uniquely identifies this offer.             |
| country       | string  | Country to be targeted                                    |
| country\_code | string  | Country code.                                             |
| city          | array   | **This parameter has been deprecated.** **\[Deprecated]** |
| type          | integer | An identifier included or excluded.                       |
| regions       |         | Regions in targeted country                               |
| type          | integer | An identifier included or excluded.                       |
| region\_id    | integer | the unique id for the region                              |
| region\_name  | string  | the name of the region                                    |
| cities        |         | City in targeted Region                                   |
| type          | integer | An identifier included or excluded.                       |
| region\_id    | integer | the unique id for the region                              |
| city\_id      | integer | the unique id for the city                                |
| city\_name    | string  | the name of the                                           |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request DELETE** <https://{networkname}.api.offerslook.com/v1/offers/3147/geo/28574>

**Request DELETE** <http://{networkname}.api.offerslook.com/v1/offers/3147/geo/28574>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "offer_geo": {
            "type": 1,
            "target": [
                {
                    "country": "China",
                    "country_code": "CN",
                    "id": 541638,
                    "city": null,
                    "type": null,
                    "offer_id": null,
                    "regions": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "region_name": "Anhui Sheng"
                        },
                        {
                            "type": 1,
                            "region_id": 635,
                            "region_name": "Beijing Shi"
                        },
                        {
                            "type": 1,
                            "region_id": 641,
                            "region_name": "Guangxi Zhuangzu Zizhiqu"
                        }
                    ],
                    "cities": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97648,
                            "city_name": "Anqing"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97649,
                            "city_name": "Baiyin"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97651,
                            "city_name": "Bozhou"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97658,
                            "city_name": "Diaoshi Township"
                        },
                        {
                            "type": 2,
                            "region_id": 635,
                            "city_id": 97739,
                            "city_name": "Beijing"
                        }
                    ]
                }
            ]
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/delete_a_geo_of_offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
